## r-bioc-rwikipathways 1.8.3+dfsg

=== DESCRIPTION ===
Package: rWikiPathways
Type: Package
Title: rWikiPathways - R client library for the WikiPathways API
Version: 1.8.3
Date: 2020-05-08
Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                     email = "egon.willighagen@gmail.com",
                     comment = c(ORCID = "0000-0001-7542-0286")),
             person("Alex", "Pico", role = "aut",
                     email = "alex.pico@gladstone.ucsf.edu",
                     comment = c(ORCID = "0000-0001-5706-2163"))
           )
Imports: httr, utils, XML, rjson, data.table, tidyr
Suggests: testthat, BiocStyle, knitr, rmarkdown
Description: Use this package to interface with the WikiPathways API.
License: MIT + file LICENSE
URL: https://github.com/wikipathways/rwikipathways
BugReports: https://github.com/wikipathways/rwikipathways/issues
LazyLoad: yes
biocViews: Visualization, GraphAndNetwork, ThirdPartyClient, Network,
        Metabolomics
NeedsCompilation: no
VignetteBuilder: knitr
RoxygenNote: 7.1.0
git_url: https://git.bioconductor.org/packages/rWikiPathways
git_branch: RELEASE_3_11
git_last_commit: 3f917ab
git_last_commit_date: 2020-05-08
Date/Publication: 2020-05-09
Packaged: 2020-05-10 02:59:07 UTC; biocbuild
Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
  Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/changelog ===
r-bioc-rwikipathways (1.8.3+dfsg-1) unstable; urgency=medium

  * Add upstream metadata
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2020 07:54:58 +0200

r-bioc-rwikipathways (1.6.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #950785)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Feb 2020 11:21:03 +0100

## r-bioc-rwikipathways 1.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rWikiPathways
 Type: Package
 Title: rWikiPathways - R client library for the WikiPathways API
-Version: 1.8.3
-Date: 2020-05-08
+Version: 1.10.0
+Date: 2020-10-21
 Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                      email = "egon.willighagen@gmail.com",
                      comment = c(ORCID = "0000-0001-7542-0286")),
@@ -21,13 +21,13 @@
         Metabolomics
 NeedsCompilation: no
 VignetteBuilder: knitr
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/rWikiPathways
-git_branch: RELEASE_3_11
-git_last_commit: 3f917ab
-git_last_commit_date: 2020-05-08
-Date/Publication: 2020-05-09
-Packaged: 2020-05-10 02:59:07 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: 6c15afa
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
+Packaged: 2020-10-28 03:06:42 UTC; biocbuild
 Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
   Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
 Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/changelog ===
r-bioc-rwikipathways (1.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 14:29:06 +0100

r-bioc-rwikipathways (1.8.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 21:33:32 +0200

r-bioc-rwikipathways (1.8.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2020 15:58:44 +0200

=== debian/control ===
Source: r-bioc-rwikipathways
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-xml,
               r-cran-rjson,
               r-cran-data.table,
               r-cran-tidyr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways.git
Homepage: https://bioconductor.org/packages/rWikiPathways/
Rules-Requires-Root: no

Package: r-bioc-rwikipathways
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R client library for the WikiPathways API
 WikiPathways is a well-known repository for biological pathways that
 provides unique tools to the research community for content creation,
 editing and utilization.
 .
 The package rWikiPathways leverages the WikiPathways API to
 communicate between GNU R and WikiPathways, allowing any pathway to
 be queried, interrogated and downloaded in both data and image formats.
 Queries are typically performed based on "Xrefs", standardized
 identifiers for genes, proteins and metabolites. Once you can
 identified a pathway, you can use the WPID (WikiPathways identifier)
 to make additional queries.

## r-bioc-rwikipathways 1.14.0%2Bdfsg

=== debian/changelog ===
r-bioc-rwikipathways (1.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 10:54:48 +0100

r-bioc-rwikipathways (1.12.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Disable reprotest

  [ Nilesh Patra ]
  * d/tests/autopkgtest-pkg-r.conf: test depends on testthat

 -- Nilesh Patra <nilesh@debian.org>  Fri, 03 Sep 2021 01:55:08 +0530

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                r-cran-xml,
                r-cran-rjson,
                r-cran-data.table,
-               r-cran-tidyr
-Standards-Version: 4.5.0
+               r-cran-tidyr,
+               r-cran-rcurl
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways.git
 Homepage: https://bioconductor.org/packages/rWikiPathways/

## r-bioc-rwikipathways 1.14.0+dfsg

=== DESCRIPTION ===
Package: rWikiPathways
Type: Package
Title: rWikiPathways - R client library for the WikiPathways API
Version: 1.14.0
Date: 2021-10-08
Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                     email = "egon.willighagen@gmail.com",
                     comment = c(ORCID = "0000-0001-7542-0286")),
             person("Alex", "Pico", role = "aut",
                     email = "alex.pico@gladstone.ucsf.edu",
                     comment = c(ORCID = "0000-0001-5706-2163"))
           )
Imports: httr, utils, XML, rjson, data.table, tidyr, RCurl
Suggests: testthat, BiocStyle, knitr, rmarkdown
Description: Use this package to interface with the WikiPathways API. It provides programmatic access to WikiPathways content in multiple data and image formats, including official monthly release files and convenient GMT read/write functions.
License: MIT + file LICENSE
URL: https://github.com/wikipathways/rwikipathways
BugReports: https://github.com/wikipathways/rwikipathways/issues
LazyLoad: yes
biocViews: Visualization, GraphAndNetwork, ThirdPartyClient, Network,
        Metabolomics
NeedsCompilation: no
VignetteBuilder: knitr
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/rWikiPathways
git_branch: RELEASE_3_14
git_last_commit: b83547a
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
Packaged: 2021-10-26 22:38:40 UTC; biocbuild
Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
  Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/rWikiPathways.html .*/rWikiPathways_([\d\.]+)\.tar\.gz

## r-bioc-rwikipathways 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rWikiPathways
 Type: Package
 Title: rWikiPathways - R client library for the WikiPathways API
-Version: 1.14.0
-Date: 2021-10-08
+Version: 1.16.0
+Date: 2022-04-15
 Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                      email = "egon.willighagen@gmail.com",
                      comment = c(ORCID = "0000-0001-7542-0286")),
@@ -23,11 +23,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/rWikiPathways
-git_branch: RELEASE_3_14
-git_last_commit: b83547a
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 22:38:40 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 757b032
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 21:55:45 UTC; biocbuild
 Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
   Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
 Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/changelog ===
r-bioc-rwikipathways (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 15:17:23 +0200

## r-bioc-rwikipathways 1.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rWikiPathways
 Type: Package
 Title: rWikiPathways - R client library for the WikiPathways API
-Version: 1.16.0
+Version: 1.18.0
 Date: 2022-04-15
 Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                      email = "egon.willighagen@gmail.com",
@@ -23,11 +23,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/rWikiPathways
-git_branch: RELEASE_3_15
-git_last_commit: 757b032
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 21:55:45 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 3efeeff
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 22:49:51 UTC; biocbuild
 Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
   Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
 Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/changelog ===
r-bioc-rwikipathways (1.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 11:22:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-rwikipathways
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways.git
+Homepage: https://bioconductor.org/packages/rWikiPathways/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -13,11 +17,7 @@
                r-cran-data.table,
                r-cran-tidyr,
                r-cran-rcurl
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways.git
-Homepage: https://bioconductor.org/packages/rWikiPathways/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rwikipathways
 Architecture: all

## r-bioc-rwikipathways 1.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rWikiPathways
 Type: Package
 Title: rWikiPathways - R client library for the WikiPathways API
-Version: 1.18.0
+Version: 1.20.0
 Date: 2022-04-15
 Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                      email = "egon.willighagen@gmail.com",
@@ -23,11 +23,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/rWikiPathways
-git_branch: RELEASE_3_16
-git_last_commit: 3efeeff
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 22:49:51 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 46ef138
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 22:34:51 UTC; biocbuild
 Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
   Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
 Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/changelog ===
r-bioc-rwikipathways (1.20.0+dfsg-1) unstable; urgency=medium

  * lintian-overrides (see lintian bug #1017966)
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 16:47:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways.git
 Homepage: https://bioconductor.org/packages/rWikiPathways/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-rwikipathways 1.22.1+dfsg

=== DESCRIPTION ===
Package: rWikiPathways
Type: Package
Title: rWikiPathways - R client library for the WikiPathways API
Version: 1.22.1
Date: 2023-10-24
Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                     email = "egon.willighagen@gmail.com",
                     comment = c(ORCID = "0000-0001-7542-0286")),
             person("Alex", "Pico", role = "aut",
                     email = "alex.pico@gladstone.ucsf.edu",
                     comment = c(ORCID = "0000-0001-5706-2163"))
           )
Imports: httr, utils, XML, rjson, data.table, RCurl, dplyr, tidyr,
        readr, stringr, purrr, lubridate
Suggests: testthat, BiocStyle, knitr, rmarkdown
Encoding: UTF-8
Description: Use this package to interface with the WikiPathways API. It provides programmatic access to WikiPathways content in multiple data and image formats, including official monthly release files and convenient GMT read/write functions.
License: MIT + file LICENSE
URL: https://github.com/wikipathways/rwikipathways
BugReports: https://github.com/wikipathways/rwikipathways/issues
LazyLoad: yes
biocViews: Visualization, GraphAndNetwork, ThirdPartyClient, Network,
        Metabolomics
NeedsCompilation: no
VignetteBuilder: knitr
RoxygenNote: 7.2.3
git_url: https://git.bioconductor.org/packages/rWikiPathways
git_branch: RELEASE_3_18
git_last_commit: f548264
git_last_commit_date: 2023-10-24
Date/Publication: 2023-10-24
Packaged: 2023-10-24 22:50:32 UTC; biocbuild
Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
  Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/changelog ===
r-bioc-rwikipathways (1.22.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 17:40:22 +0100

## r-bioc-rwikipathways 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rWikiPathways
 Type: Package
 Title: rWikiPathways - R client library for the WikiPathways API
-Version: 1.22.1
+Version: 1.24.0
 Date: 2023-10-24
 Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                      email = "egon.willighagen@gmail.com",
@@ -25,11 +25,12 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/rWikiPathways
-git_branch: RELEASE_3_18
-git_last_commit: f548264
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 22:50:32 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 5c6d74c
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 05:46:36 UTC; biocbuild
 Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
   Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
 Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/changelog ===
r-bioc-rwikipathways (1.24.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:46:24 +0200

r-bioc-rwikipathways (1.24.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 20:04:24 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,13 @@
                r-cran-xml,
                r-cran-rjson,
                r-cran-data.table,
+               r-cran-rcurl,
+               r-cran-dplyr,
                r-cran-tidyr,
-               r-cran-rcurl
+               r-cran-readr,
+               r-cran-stringr,
+               r-cran-purrr,
+               r-cran-lubridate
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rwikipathways

## r-bioc-rwikipathways 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rWikiPathways
 Type: Package
 Title: rWikiPathways - R client library for the WikiPathways API
-Version: 1.24.0
-Date: 2023-10-24
+Version: 1.26.0
+Date: 2024-09-01
 Authors@R: c(person("Egon", "Willighagen", role = c("aut","cre"),
                      email = "egon.willighagen@gmail.com",
                      comment = c(ORCID = "0000-0001-7542-0286")),
@@ -25,12 +25,12 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/rWikiPathways
-git_branch: RELEASE_3_19
-git_last_commit: 5c6d74c
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 05:46:36 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: 8619a89
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 02:35:38 UTC; biocbuild
 Author: Egon Willighagen [aut, cre] (<https://orcid.org/0000-0001-7542-0286>),
   Alex Pico [aut] (<https://orcid.org/0000-0001-5706-2163>)
 Maintainer: Egon Willighagen <egon.willighagen@gmail.com>

=== debian/changelog ===
r-bioc-rwikipathways (1.26.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 18:13:27 +0100

r-bioc-rwikipathways (1.26.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 10:44:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rwikipathways.git
 Homepage: https://bioconductor.org/packages/rWikiPathways/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
